locked
Redhat 5.5 and Hyper-V 3.0 (windows server 2012), network adapter RRS feed

  • Question

  • Customer has an application which can only run on Redhat linux 5.5. And the virtualization software is Hyper-V 3.0 (Windows server 2012) .

    If no Linux Integration Services is installed , we can only use legacy network adapter, the performance is too low to be acceptable.

    If we install Linux Integration Services v2.1 on Redhat linux 5.5 then reboot, the linux system can not be booted successfully.

    As for Linux Integration Services 3.4, Redhat linux 5.5 was not included in the listed supported Guest OS, so we can not use Linux Integration Services 3.4.

    Can anyone shed a light for us is it possible to run Redhat linux 5.5 on Windows Server 2012 Hyper-V? install Linux Integration Services and use hyper-v network adapter?

    Monday, October 29, 2012 7:46 AM

All replies

  • You should definitely consider updating at least to the lastet supported release of RHEL5, 5.5 was released in 2010 :-)

    Actually if you update to 5.9 - as soon as it's out, - it should contain built-in Hyper-V modules, but you can still update to 5.8 and install LIS 3.4.

    Thursday, November 1, 2012 1:07 PM
  • V2.1 can solve this issue , you need to edit grub and remove hda and hdb parameter so that machine will boot.

    this was tested by me in more than 10 Guest Rhedta 5.5

    • Proposed as answer by Ansul1 Thursday, May 16, 2013 4:29 AM
    Thursday, May 16, 2013 4:27 AM